-- --------------------------------------------------------
-- Хост:                         127.0.0.1
-- Версия сервера:               8.0.15 - MySQL Community Server - GPL
-- Операционная система:         Win64
-- HeidiSQL Версия:              10.1.0.5464
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Дамп структуры для таблица db-scrapy-tutorial.alembic_version
CREATE TABLE IF NOT EXISTS `alembic_version` (
  `version_num` varchar(32) NOT NULL,
  PRIMARY KEY (`version_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Экспортируемые данные не выделены.
-- Дамп структуры для таблица db-scrapy-tutorial.books
CREATE TABLE IF NOT EXISTS `books` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `description` text,
  `image_path` varchar(255) DEFAULT NULL,
  `rating` smallint(6) DEFAULT NULL,
  `upc` varchar(32) DEFAULT NULL,
  `product_type` varchar(32) DEFAULT NULL,
  `price_excl_tax` decimal(6,2) DEFAULT NULL,
  `price_incl_tax` decimal(6,2) DEFAULT NULL,
  `tax` decimal(6,2) DEFAULT NULL,
  `in_stock` int(11) DEFAULT NULL,
  `count_reviews` int(11) DEFAULT NULL,
  `category` varchar(32) DEFAULT NULL,
  `currency_type` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `upc` (`upc`),
  KEY `ix_books_category` (`category`),
  KEY `ix_books_count_reviews` (`count_reviews`),
  KEY `ix_books_currency_type` (`currency_type`),
  KEY `ix_books_in_stock` (`in_stock`),
  KEY `ix_books_price_excl_tax` (`price_excl_tax`),
  KEY `ix_books_price_incl_tax` (`price_incl_tax`),
  KEY `ix_books_product_type` (`product_type`),
  KEY `ix_books_rating` (`rating`),
  KEY `ix_books_tax` (`tax`),
  KEY `ix_books_title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=2001 DEFAULT CHARSET=utf8;

-- Экспортируемые данные не выделены.
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
