from scrapy.conf import settings
from utils.Singleton import Singleton
import MySQLdb as sql
import os


class AltConnector(metaclass=Singleton):
    __connection = None

    @staticmethod
    def get_connection():
        if not AltConnector.__connection:
            # TODO cant use db-port
            AltConnector.__connection = sql.connect(
                os.getenv('DB_HOST'),
                os.getenv('DB_USERNAME'),
                os.getenv('DB_PASSWORD'),
                os.getenv('DB_DATABASE'),
                charset='utf8',
                port=int(os.getenv('DB_PORT')))
        return AltConnector.__connection
