from ..Connector import Connector
from ..models.Book import Book


class BookConnector(Connector):
    def save_book(self, item):
        session = self.get_session()

        book = Book()
        book.update(item)
        book.image_path = item['images'][0]['path']

        session.add(book)
        session.commit()